Last Comment Bug 678195 - Get rid of old style jemalloc
: Get rid of old style jemalloc
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All Windows 7
: -- normal (vote)
: mozilla9
Assigned To: Mike Hommey [:glandium]
:
:
Mentors:
Depends on: 678161 678214
Blocks: 679359 677501 678196 680373 680440 694371
  Show dependency treegraph
 
Reported: 2011-08-11 07:47 PDT by Mike Hommey [:glandium]
Modified: 2011-10-21 11:13 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
imported patch (38.23 KB, patch)
2011-08-16 08:25 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Splinter Review
Remove old style jemalloc (38.24 KB, patch)
2011-08-16 08:26 PDT, Mike Hommey [:glandium]
khuey: review+
Details | Diff | Splinter Review
Remove old style jemalloc (40.92 KB, patch)
2011-08-19 05:22 PDT, Mike Hommey [:glandium]
khuey: review+
Details | Diff | Splinter Review
Remove old style jemalloc [Checked in: Comment 7] (41.46 KB, patch)
2011-08-23 06:43 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2011-08-11 07:47:27 PDT
Disabling it (the ugly way) suggest it works fine:
http://tbpl.mozilla.org/?tree=Try&rev=f7ada07b577c

New style has also been reported to work with MSVC EE.
Comment 1 Mike Hommey [:glandium] 2011-08-16 08:25:00 PDT
Created attachment 553488 [details] [diff] [review]
imported patch
Comment 2 Mike Hommey [:glandium] 2011-08-16 08:26:16 PDT
Created attachment 553489 [details] [diff] [review]
Remove old style jemalloc
Comment 3 Mike Hommey [:glandium] 2011-08-19 05:22:58 PDT
Created attachment 554378 [details] [diff] [review]
Remove old style jemalloc

There were a few leftovers.
Comment 4 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-19 05:46:11 PDT
Comment on attachment 554378 [details] [diff] [review]
Remove old style jemalloc

I'm assuming the changes are the removed-files.in stuff.  I didn't see anything else different.
Comment 5 Mike Hommey [:glandium] 2011-08-23 06:43:27 PDT
Created attachment 555091 [details] [diff] [review]
Remove old style jemalloc
[Checked in: Comment 7]

As landing
Comment 6 Mike Hommey [:glandium] 2011-08-23 06:46:14 PDT
http://hg.mozilla.org/projects/build-system/rev/011569fdc555
Comment 7 Mike Hommey [:glandium] 2011-08-25 01:52:22 PDT
http://hg.mozilla.org/mozilla-central/rev/011569fdc555

Note You need to log in before you can comment on or make changes to this bug.